import { HttpHandler } from './HttpHandler';

abstract class Middleware extends HttpHandler {
	protected abstract order: number;
	protected abstract action: (...any: any[]) => any;

	public getOrder(): number {
		return this.order;
	}
}

export { Middleware };